# Generated from guard-gradle-0.5.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name guard-gradle

Name: rubygem-%{gem_name}
Version: 0.5.0
Release: 1%{?dist}
Summary: Build & test your Java projects continuously as you work
License: MIT
URL: https://github.com/bricker/guard-gradle
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(test-unit) >= 2.5.5
# BuildRequires: rubygem(mocha) >= 1.0.0
BuildArch: noarch

%description
Continuous Testing Guard plugin for Gradle.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/etc
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/guard-gradle.gemspec
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 0.5.0-1
- Initial package
